Subject: Re: linux-next: manual merge of the workqueues tree with Linus' tree

From: Tejun Heo <[email-masked]>
Date: Tue, 19 Mar 2013 15:13:08 -0700

On Wed, Mar 20, 2013 at 09:05:40AM +1100, Stephen Rothwell wrote:
> > Anyways, I pulled master into wq/for-next and resolved it there, so it
> > shouldn't cause you any more trouble.
> 
> Ah, OK, thanks.   One small point, when you do a back merge like that,
> you should always put an explanation in the commit message for the merge.

Oh, I do that for any permanent branches.  for-next branches are
ephemeral (at least in my trees) so I usually don't bother.  I do
compare against for-next when and after sending pull requests with
proper conflict descriptions, so things are not likely to slip through
there.  Hmmm.... if it's gonna be helpful to you, I'd be happy to
describe merge conflicts and resolutions in for-next merges.  Would
that be helpful?

Thanks.

-- 
tejun